<template>
  <ul class="accordion-menu">
    <li
      v-for="(option, index) in options"
      :key="index"
      :class="option.className"
    >
      <a class="accordion-title" :href="option.link">
        <span>{{ option.name }}</span>
      </a>
      <ul
        v-for="(suboption, subIndex) in option.suboptions"
        :key="subIndex"
        class="accordion-menu"
      >
        <li class="nested">
          <a :href="suboption.link">
            <span>{{ suboption.name }}</span>
          </a>
        </li>
      </ul>
    </li>
  </ul>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
type SubOptions = { name: string; link: string }
type ListOfOptions = {
  name: string
  className: string
  suboptions: Array<SubOptions>
}

@Component({})
export default class Options extends Vue {
  @Prop({
    required: true,
    type: Array as () => ListOfOptions[]
  })
  options!: ListOfOptions[]
}
</script>

<style>
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
  color: #424242;
}
a:hover {
  text-decoration: none;
  color: #13bc74;
}
.accordion-menu {
  margin: 0em;
  padding: 0em;
}
.accordion-menu li {
  width: 100%;
  text-align: left;
}
.accordion-menu a {
  padding: 0.7rem 1rem;
}
.accordion-menu .nested {
  margin: 1em 0 1em 0.7em;
}
.accordion-menu li.is-active {
  border-bottom: dotted 1px #ccc;
}
.accordion-menu li.logout {
  margin-top: 1em;
}
ul li.is-active a.accordion-title {
  border-left: solid 6px #13bc74;
  background-color: transparent;
  color: #13bc74;
}
</style>
